%define	api_version	2
%define api		2.0
%define major		17

%define libname	%mklibname %{name} %{api_version} %{major}
%define devname	%mklibname -d %{name} %{api_version}

Summary:	Package containing code shared among mate-panel, mate-session-manager etc
Name:		mate-desktop
Version:	1.18.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	%{name}-%{version}.tar.xz
Source2:	mate-net_applet.desktop
Source3:	mate-pclos.gschema.override
Source6:	org.mate.interface.gschema.xml
Source8:	user.conf
#-------------------------------------------
BuildRequires: itstool
BuildRequires: libxcb-devel
BuildRequires: libxml2-utils
BuildRequires: ldetect-lst
BuildRequires: mate-common
BuildRequires: yelp-tools
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
#BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}startup-notification-1-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}girepository-devel
#-------------------------------------------
Obsoletes:	mate-doc-utils 
Obsoletes:	mate-doc-utils-devel
#-------------------------------------------
Requires:	ldetect-lst
Requires:	yelp
Requires:	yelp-xsl
Requires: python-requests
Requires: mate-faenza-icon-theme

%description
This package contains some data files and other shared components of the
MATE user environment.


%package devel
Summary:	Development libraries, include files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release


%description devel
Development libraries, include files for internal library %{name}.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
     --disable-static \
     --enable-mpaste \
     --enable-introspection=yes \
     --enable-gtk-doc \
     --with-gtk=3.0 \
     --with-pnp-ids-path=%{_datadir}/misc/pnp.ids
     
     
%make
     
%install
rm -rf %{buildroot}
%makeinstall_std 

install -m 0644 %SOURCE3 %{buildroot}%{_datadir}/glib-2.0/schemas/mate-pclos.gschema.override

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/xdg/autostart/mate-net_applet.desktop

install -m 0644 %SOURCE6 %{buildroot}%{_datadir}/glib-2.0/schemas/org.mate.interface.gschema.xml


mkdir -p %{buildroot}/etc/skel/.config/dconf
install -m 0644 %SOURCE8 %{buildroot}/etc/skel/.config/dconf/user


find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_libdir}/girepository-1.0/MateDesktop-2.0.typelib
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/icons/hicolor
%{_datadir}/applications/mate-about.desktop
%{_datadir}/mate-about/mate-version.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/glib-2.0/schemas/mate-pclos.gschema.override
%{_libdir}/libmate-desktop-%{api_version}.so.%{major}*
%{_sysconfdir}/xdg/autostart/mate-net_applet.desktop
%{_mandir}

#default desktop settings for newly created users
%{_sysconfdir}/skel/.config/dconf/user


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/MateDesktop-2.0.gir

%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%clean
rm -rf  %{buildroot}


%changelog
* Thu May 11 2017 adrianomorselli <adrianomorselli> 1.18.0-1uplos2017
- update
